import { HttpClientTestingModule } from '@angular/common/http/testing';
import { Provider } from '@angular/core';
import { inject, TestBed } from '@angular/core/testing';
import { AUTH_OPTIONS } from '../../auth-options.token';
import { IAuthModuleConfig } from '../../auth.options';
import { AccessControlAuthenticationService } from './authentication.service';

describe('AccessControlAuthenticationService', () => {
  beforeEach(() => {
    TestBed.configureTestingModule({
      providers: <Provider[]>[
        {
          provide: AUTH_OPTIONS,
          useValue: <IAuthModuleConfig>{},
        },
        AccessControlAuthenticationService,
      ],
      imports: [HttpClientTestingModule],
    });
  });

  it('should be created', inject(
    [AccessControlAuthenticationService],
    (service: AccessControlAuthenticationService) => {
      expect(service).toBeTruthy();
    }
  ));
});
